Docker 19.03 is no longer receiving updates.

OpenSubmitted by Sarah Morgensen.
Details
3 participants
  • Sarah Morgensen
  • Ludovic Courtès
  • Maxim Cournoyer
Owner
unassigned
Severity
important
S
S
Sarah Morgensen wrote on 18 Sep 22:13 +0200
(address . bug-guix@gnu.org)
86o88phcbf.fsf@mgsn.dev
Hello Guix,
Docker 19.03 (the version we have) is expected to receive no furtherupdates [0], and currently depends on Go 1.14 to build, which has alsoreached EOL.
Is anyone up to the task of updating the Docker behemoth?
[0] https://github.com/moby/moby/pull/41381#issuecomment-876982431
--Sarah
L
L
Ludovic Courtès wrote on 19 Sep 23:04 +0200
control message for bug #50665
(address . control@debbugs.gnu.org)
871r5ks2ex.fsf@gnu.org
severity 50665 importantquit
L
L
Ludovic Courtès wrote on 19 Sep 23:04 +0200
(address . control@debbugs.gnu.org)
87zgs8qnuf.fsf@gnu.org
tags 50665 + securityquit
M
M
Maxim Cournoyer wrote on 23 Sep 05:47 +0200
Re: bug#50665: Docker 19.03 is no longer receiving updates.
(name . Sarah Morgensen)(address . iskarian@mgsn.dev)(address . 50665@debbugs.gnu.org)
87h7eckl62.fsf@gmail.com
Hello!
Sarah Morgensen <iskarian@mgsn.dev> writes:
Toggle quote (10 lines)> Hello Guix,>> Docker 19.03 (the version we have) is expected to receive no further> updates [0], and currently depends on Go 1.14 to build, which has also> reached EOL.>> Is anyone up to the task of updating the Docker behemoth?>> [0] https://github.com/moby/moby/pull/41381#issuecomment-876982431
Last I tried, I got stuck on go-protobuf, which required go modules tobuild. I hope I got lost and that this isn't the case that, butotherwise it'd be blocked by adding 'go modules' support in our go buildsystem.
Maxim
?
Your comment

Commenting via the web interface is currently disabled.

To comment on this conversation send email to 50665@debbugs.gnu.org